com.sun.grid.jgdi.monitoring

## Interface QueueInstanceSummaryResult

- All Known Implementing Classes:
    QueueInstanceSummaryResultImpl

      public interface QueueInstanceSummaryResult

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<JobSummary>` | `getErrorJobs()`
    `java.util.List<JobSummary>` | `getFinishedJobs()`
    `java.util.List<JobSummary>` | `getPendingJobs()`
    `java.util.List<QueueInstanceSummary>` | `getQueueInstanceSummary()`
    `java.util.List<JobSummary>` | `getZombieJobs()`

- - ### Method Detail

    - #### getQueueInstanceSummary

          java.util.List<QueueInstanceSummary> getQueueInstanceSummary()

    - #### getPendingJobs

          java.util.List<JobSummary> getPendingJobs()

    - #### getErrorJobs

          java.util.List<JobSummary> getErrorJobs()

    - #### getFinishedJobs

          java.util.List<JobSummary> getFinishedJobs()

    - #### getZombieJobs

          java.util.List<JobSummary> getZombieJobs()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.